#!/usr/bin/env bash

BUTLER_VERSION="$1"
BUTLER_URL="https://broth.itch.ovh/butler/linux-amd64/${BUTLER_VERSION}/archive/default"

mkdir -p /tmp/butler

wget -L -O /tmp/butler/butler.zip "$BUTLER_URL"
unzip -d /tmp/butler /tmp/butler/butler.zip
chmod +x /tmp/butler/butler
mv /tmp/butler/butler /usr/bin/butler

rm -r /tmp/butler